Loading...
Searching...
No Matches
firmware::FirmwareUpdateStartedEvent Struct Reference

Event: Firmware update started. More...

`import <Firmware.idl;`

Inheritance diagram for firmware::FirmwareUpdateStartedEvent:

## Additional Inherited Members

Public Attributes inherited from firmware::FirmwareUpdateEvent
string | oldVersion
| Firmware version the device is being upgraded from.
string | newVersion
| Firmware version the device is being upgraded to.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Firmware update started.

Definition at line 112 of file Firmware.idl.

The documentation for this struct was generated from the following file:

- Firmware.idl